# NgBnubyDatatable Library

## Installation
```
npm install ng-bnuby-datatable --save
```

## Usage
step 1:
Import DatatableModule into your app.module.ts
```typescript
  @NgModule({
    imports: [
      DatatableModule
    ]
  })
```

step 2:
NgBnubyDatatable provide `ng-bnuby-datatable` selector to put your datatable.
```html
<body>
  <ng-bnuby-datatable></ng-bnuby-datatable>
</body>
```

## Api
---
### **Dom**
example.component.html
```html
<ng-bnuby-datatable
  [headers]="headers"
  [isLoading]="isLoading"
  [itemSet]="itemSet"
></ng-bnuby-datatable>
```
### **typescript**
example.component.ts  
### Datatable main config
```jsx
table: Datatable = {
  style: {
    'background-color': 'white'
  }
};
```
### Define Header
```jsx
headers: DatatableHeaders = [
  {
    title: 'Name',
    key: 'h1'
  },
  {
    title: 'Test2',
    key: 'h2'
  },
  {
    title: 'Tools',
    key: 'tools'
  }
];
```
### Define thead style
```jsx
theadStyle: { [klass: string]: any } = {
  // 'border-top': '1px solid gray',
  'border-bottom': '1px solid gray'
};
```

### Define th style
```jsx
thStyle: { [klass: string]: any } = {
  padding: '10px 10px'
};
```
### Define loading text
```jsx
loadingText: string = 'Data Loading';
```
### Define no Data text
```jsx
noDataText: string = 'No Data';
```

### Define Table Item
```jsx
itemSet: DatatableRows =  [
    {
      _item: {},
      h1: {
        title: 'Hello World'
      },
      h2: {
        title: 'Temporary 2'
      },
      tools: {
        buttons: [
          {
            html: '<i class=\'fa fa-edit\'/i>',
            callback: item => {
              console.log(item);
            }
          },
          {
            html: '<i class=\'fa fa-trash\'/i>',
            callback: item => {
              console.log(item);
            }
          },
          {
            html: '<i class=\'fa fa-info\'/i>',
            callback: item => {
              console.log(item);
            }
          }
        ]
      }
    }
  ]
```

